fTools - Symmetrical Difference not working

2013-02-17 02:46 AM - vinayan Parameswaran

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Ubuntu Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16225

Description

Symmetrical Difference do not do anything on clicking ok button in latest master. Log given below..

rror

1

 An error has occured while executing Python code:

Traceback (most recent call last):

  File "/home/vinayan/gitQgisBuild/output/python/plugins/fTools/tools/doGeoprocessing.py", line 313, in run

    geos, feature, match, error = self.symetrical_difference()

  File "/home/vinayan/gitQgisBuild/output/python/plugins/fTools/tools/doGeoprocessing.py", line 1250, in symetrical_difference

    crsA = vproviderA.crs()

NameError: global name 'vproviderA' is not defined

Python version:

2.7.3 (default, Aug  1 2012, 05:25:23) 

[GCC 4.6.3]

History

#1 - 2013-02-17 01:23 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:d8ec492dec

#2 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
